Get a group
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/groups/{groupId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/groups/{groupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/groups/{groupId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/groups/{groupId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/groups/{groupId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 14069,
"resource": "group",
"partnerId": 1069,
"key": "redemption-operators",
"name": "Redemption operators",
"description": "Redeem vouchers and manage entities and links.",
"permissions": [
"view-profile",
"view-consumer-catalog",
"view-consumer-redemptions",
"create-consumer-redemptions",
"void-consumer-redemptions",
"view-consumer-redemption-entities",
"manage-consumer-redemption-entities",
"view-consumer-redemption-links",
"manage-consumer-redemption-links"
],
"permissionsComputed": false,
"isSystem": true,
"status": "active",
"memberCount": 3,
"createdAt": "2026-10-19T14:02:11.418Z",
"updatedAt": "2026-10-19T14:02:11.418Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/groups/14069",
"type": "application/json"
},
"members": {
"href": "https://api.voucher.allride.io/partner/v1/groups/14069/members",
"type": "application/json"
}
}
}
}Groups
Get a group
Returns one group.
Required permissions: view-groups · API keys: allowed
GET
/
partner
/
v1
/
groups
/
{groupId}
Get a group
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/groups/{groupId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/groups/{groupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/groups/{groupId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/groups/{groupId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/groups/{groupId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 14069,
"resource": "group",
"partnerId": 1069,
"key": "redemption-operators",
"name": "Redemption operators",
"description": "Redeem vouchers and manage entities and links.",
"permissions": [
"view-profile",
"view-consumer-catalog",
"view-consumer-redemptions",
"create-consumer-redemptions",
"void-consumer-redemptions",
"view-consumer-redemption-entities",
"manage-consumer-redemption-entities",
"view-consumer-redemption-links",
"manage-consumer-redemption-links"
],
"permissionsComputed": false,
"isSystem": true,
"status": "active",
"memberCount": 3,
"createdAt": "2026-10-19T14:02:11.418Z",
"updatedAt": "2026-10-19T14:02:11.418Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/groups/14069",
"type": "application/json"
},
"members": {
"href": "https://api.voucher.allride.io/partner/v1/groups/14069/members",
"type": "application/json"
}
}
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Path Parameters
Group id. Unsigned 64-bit integer (ids and large counters). May exceed 2^53; parse with a BigInt-safe JSON parser in JavaScript.
Required range:
0 <= x <= 18446744073709552000Response
OK
Single-object envelope around a Group.
A group of members with its permissions.
Show child attributes
Show child attributes